Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.utils
Class Pair

    java.lang.Object
      org.quartz.utils.Pair

Direct Known Subclasses:
  Key, TriggerStatus

    public class Pair

extends Object

Utility class for storing two pieces of information together.

Author:
  Jeffrey Wescott

Constructor Summary
`Pair()`
`Pair(Object first, Object second)`

Method Summary
`boolean` | `equals(Object that)` Test equality of this object with that.
`Object` | `getFirst()` Get the first object in the pair.
`Object` | `getSecond()` Get the second object in the pair.
`int` | `hashCode()`
`void` | `setFirst(Object first)` Set the value of the first object in the pair.
`void` | `setSecond(Object second)` Set the second object in the pair.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pair

    public Pair()

### Pair

    public Pair(Object first,
                Object second)

Method Detail

### getFirst

    public final Object getFirst()

  Get the first object in the pair.

  Returns:
    the first object

### setFirst

    public final void setFirst(Object first)

  Set the value of the first object in the pair.

  Parameters:
    `first` - the first object

### getSecond

    public final Object getSecond()

  Get the second object in the pair.

  Returns:
    the second object

### setSecond

    public final void setSecond(Object second)

  Set the second object in the pair.

  Parameters:
    `second` - the second object

### equals

    public boolean equals(Object that)

  Test equality of this object with that.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `that` - object to compare
  Returns:
    true if objects are equal, false otherwise

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.